OaIdl.DECIMAL._DECIMAL1._DECIMAL1_DECIMAL (JNA API)

com.sun.jna.platform.win32

## Class OaIdl.DECIMAL._DECIMAL1._DECIMAL1_DECIMAL

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.OaIdl.DECIMAL._DECIMAL1._DECIMAL1_DECIMAL

- Enclosing class:
    OaIdl.DECIMAL._DECIMAL1

      @Structure.FieldOrder(value={"scale","sign"})
      public static class OaIdl.DECIMAL._DECIMAL1._DECIMAL1_DECIMAL
      extends Structure

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.sun.jna.Structure

      `Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `WinDef.BYTE` | `scale`
    `WinDef.BYTE` | `sign`

    - ### Fields inherited from class com.sun.jna.Structure

      `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `_DECIMAL1_DECIMAL()`
    `_DECIMAL1_DECIMAL(Pointer pointer)`

  - ### Method Summary

    - ### Methods inherited from class com.sun.jna.Structure

      `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### scale

          public WinDef.BYTE scale

    - #### sign

          public WinDef.BYTE sign

  - ### Constructor Detail

    - #### _DECIMAL1_DECIMAL

          public _DECIMAL1_DECIMAL()

    - #### _DECIMAL1_DECIMAL

          public _DECIMAL1_DECIMAL(Pointer pointer)

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.